belledluxe/belleluxe/api/urls.py
from django.urls import path, include
from api import views
from rest_framework import routers
app_name = 'api'

router = routers.DefaultRouter()
router.register(r'campaign', views.CrudCampaign)
router.register(r'category', views.CrudCategory)
router.register(r'customer', views.CrudCustomer)
router.register(r'productos', views.CrudProductos)
router.register(r'itemPedido', views.CrudItemPedido)
router.register(r'pedido', views.CrudPedido)



urlpatterns=[
    #cruds
    path('cruds/', include(router.urls)),
    #tienda 
    path('tienda/productos/', views.ListaProductos.as_view(), name="api_tienda_producto"),
    #Cuenta
    path('registro/', views.RegistroAPI.as_view(), name="api_login"),
    path('csrf_cooky/', views.getcsrftoken.as_view(), name="api_token"),
    path('autenticacion/', views.CheckAuthenticatedView.as_view(), name="autenticacion" ),
    path('iniciar_sesion/', views.LoginView.as_view(), name="api_loginn"),
    path('cerrar_sesion/', views.LogoutView.as_view(), name="api_logout"),
    #Usuarios
    path('eliminar_usuario/', views.DeleteAccountView.as_view(), name = "deleteUser"),
    path('ver_usuarios/', views.GetUsersView.as_view(), name = "getUsers"),
    path('ver_usuario/', views.GetCustomerView.as_view(), name = "GetCus"),
    path('actualizar_user/', views.UpdateCustomerProfileView.as_view(), name = "UpdateUser"),
    #Pedidos
    path('ver_pedido/', views.verpedidoAPI.as_view(), name = "apiVerPedido"),
    path('crearpedido/', views.pedidoAPI.as_view(), name = "apiPedido"),

    


    
    ] 

belledluxe/belleluxe/belleluxe/urls.py
from django.contrib import admin
from django.urls import path, include
from home import views
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include("home.urls")),
    path('adm/', include("core.urls")),
    path('accounts/', include('django.contrib.auth.urls')),
    path('tienda/', include ("tienda.urls")),
    path('carrito/', include ("carrito.urls")),
    path('api/', include ("api.urls")),
    path('api-auth/', include('rest_framework.urls'))
]


if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

belledluxe/belleluxe/home/urls.py
from django.contrib import admin
from django.urls import path, include
from home import views


app_name="home"
urlpatterns=[
    path('', views.inicio.as_view(), name="inicio"),
    path('nosotros/', views.nosotros.as_view(), name="nosotros"),
    path('blog/', views.blog.as_view(), name="blog"),
    path('servicios/', views.servicios.as_view(), name="servicios"),
    path('politicas/', views.politicas.as_view(), name="politicas"),
    path('perfil/<int:pk>/', views.perfil.as_view(), name="perfil"),

# Accesos
    path('registro/', views.registrar.as_view(), name='registro'),
    path('acceso/', views.Acceso.as_view(), name='acceso'),
    path('cierre/',views.cierre, name='cierre'),
    path('perfil/actualiar/<int:pk>/', views.UpdateProfile.as_view(), name="actualizarPerfil"),

]

belledluxe/belleluxe/home/models.py
from django.db import models

belledluxe/belleluxe/home/forms.py
from django import forms
from django.contrib.auth.models import User
from django.contrib.auth.forms import UserCreationForm
from core.models import Customer
from django.forms.models import inlineformset_factory


class inseForm(forms.Form):
    username = forms.CharField(label=' ', widget=forms.TextInput(attrs={"type":"text", "class":"form-control card-text","placeholder":"Escribe tu nombre de usuario"}))
    password = forms.CharField(label=' ', widget=forms.PasswordInput(attrs={"type":"password", "class":"form-control card-text","placeholder":"Escribe tu contraseña"}))

class RegForm(UserCreationForm):
    username = forms.CharField(max_length=32, label='Nombre de usuario', widget=forms.TextInput(attrs={"type":"text", "class":"form-control", "placeholder":"Escribe tu nombre de usuario"}))
    password1= forms.CharField(max_length=32, label='Contraseña', widget=forms.PasswordInput(attrs={"type":"password", "class":"form-control", "placeholder":"Escribe tu contraseña"}))
    password2 = forms.CharField(max_length=32, label='Confirmar contraseña', widget=forms.PasswordInput(attrs={"type":"password", "class":"form-control", "placeholder":"Confirma tu contraseña"}))
    name_first = forms.CharField(max_length=35, label='Nombre', widget=forms.TextInput(attrs={"type":"text", "class":"form-control", "placeholder":"Escribe tu nombre"}))
    last_name_pat = forms.CharField(max_length=25, label='Primer apellido', widget=forms.TextInput(attrs={"type":"text", "class":"form-control", "placeholder":"Escribe tu primer apellido"}))
    last_name_mat = forms.CharField(max_length=25,required=False, label='Segundo apellido (si no tiene dejar en blanco)', widget=forms.TextInput(attrs={"type":"text", "class":"form-control", "placeholder":"Escribe tu segundo apellido"}))
    phone = forms.CharField(max_length=15, label='Número de teléfono', widget=forms.TextInput(attrs={"type":"text", "class":"form-control", "placeholder":"Escribe tu numero de telefono"}))
    cp = forms.CharField(max_length=5, label='Código postal (Belle dluxe solo hace envios en Tijuana)', widget=forms.TextInput(attrs={"type":"text", "class":"form-control", "placeholder":"Escribe tu código postal"}))
    streat = forms.CharField(max_length=25, label='Calle (Belle dluxe solo hace envios en Tijuana)', widget=forms.TextInput(attrs={"type":"text", "class":"form-control", "placeholder":"Escribe el nombre de tu calle"}))
    number_home = forms.CharField(max_length=5, label='Número exterior de casa (Belle dluxe solo hace envios en Tijuana)', widget=forms.TextInput(attrs={"type":"text", "class":"form-control", "placeholder":"Escribe el número exterior de tu casa"}))
    class Meta:
        model=User
        fields= [
            'username',
            'password1',
            'password2',
            'name_first',
            'last_name_pat',
            'last_name_mat',
            'phone',
            'cp',
            'streat',
            'number_home'
        ] 




class ActualizarUs(forms.ModelForm):
    class Meta:
        model = Customer
        fields= [
            'name_first',
            'last_name_pat',
            'last_name_mat',
            'phone',
            'cp',
            'streat',
            'number_home'
        ] 
        widgets = {
            "name_first": forms.TextInput(attrs={"type":"text", "class":"form-control", "placeholder":"Escribe tu nombre"}),
            'last_name_pat': forms.TextInput(attrs={"type":"text", "class":"form-control", "placeholder":"Escribe tu Primer apellido"}),
            'last_name_mat': forms.TextInput(attrs={"type":"text", "class":"form-control", "placeholder":"Escribe tu Escribe tu segundo apellido"}),
            'phone': forms.TextInput(attrs={"type":"text", "class":"form-control", "placeholder":"Escribe tu numero de telefono"}),
            'cp': forms.TextInput(attrs={"type":"text", "class":"form-control", "placeholder":"Escribe tu codigo postal"}),
            'streat': forms.TextInput(attrs={"type":"text", "class":"form-control", "placeholder":"Escribe el nombre de tu calle"}),
            'number_home': forms.TextInput(attrs={"type":"text", "class":"form-control", "placeholder":"Escribe el numero exterior de tu casa"})
        }
        labels = {
            'name_first':'nombre',
            'last_name_pat':'Primer apellido',
            'last_name_mat':'Segundo apellido (si no tiene dejar en blanco)',
            'phone':'Número de teléfono',
            'cp':'Código postal (Belle dluxe solo hace envios en tijuana)',
            'streat':'Calle (Belle dluxe solo hace envios en tijuana)',
            'number_home':'Número exterior de casa (Belle dluxe solo hace envios en tijuana)'
        }






"""class RegForm(UserCreationForm):
    username = forms.CharField(max_length=32, label='Nombre de usuario', widget=forms.TextInput(attrs={"type":"text", "class":"form-control", "placeholder":"Escribe tu Username"}))
    password1= forms.CharField(max_length=32, label='Contraseña', widget=forms.PasswordInput(attrs={"type":"password", "class":"form-control", "placeholder":"Escribe tu contraseña"}))
    password2 = forms.CharField(max_length=32, label='Confirmar contraseña', widget=forms.PasswordInput(attrs={"type":"password", "class":"form-control", "placeholder":"Confirma tu contraseña"}))
    class Meta:
        model=User
        fields= [
            'username',
            'password1',
            'password2',
        ] 

class Reg2Forms(forms.ModelForm):
    name_first = forms.CharField(max_length=32, label='Nombre', widget=forms.TextInput(attrs={"type":"text", "class":"form-control", "placeholder":"Escribe tu nombre"}))
    last_name_pat = forms.CharField(max_length=32, label='Primer apellido', widget=forms.TextInput(attrs={"type":"text", "class":"form-control", "placeholder":"Escribe tu primer apellido"}))
    last_name_mat = forms.CharField(max_length=32,required=False, label='Segundo apellido (si no tiene dejar en blanco)', widget=forms.TextInput(attrs={"type":"text", "class":"form-control", "placeholder":"Escribe tu segundo apellido"}))
    phone = forms.CharField(max_length=32, label='Número de teléfono', widget=forms.TextInput(attrs={"type":"text", "class":"form-control", "placeholder":"Escribe tu numero de telefono"}))
    cp = forms.CharField(max_length=32, label='Código postal (Belle dluxe solo hace envios en tijuana)', widget=forms.TextInput(attrs={"type":"text", "class":"form-control", "placeholder":"Escribe tu codigo postal"}))
    streat = forms.CharField(max_length=32, label='Calle (Belle dluxe solo hace envios en tijuana)', widget=forms.TextInput(attrs={"type":"text", "class":"form-control", "placeholder":"Escribe el nombre de tu calle"}))
    number_home = forms.CharField(max_length=32, label='Número exterior de casa (Belle dluxe solo hace envios en tijuana)', widget=forms.TextInput(attrs={"type":"text", "class":"form-control", "placeholder":"Escribe el numero exterior de tu casa"}))
    class Meta: 
        model= Customer
        fields = [ 
            "name_first",
            "last_name_pat",
            "last_name_mat",
            "phone",
            "cp",
            "streat",
            "number_home",
        ]
        """

belledluxe/belleluxe/home/views.py
from django.shortcuts import render, redirect
from django.views import generic
from django.contrib.auth import authenticate, login, logout
from django.contrib.auth.hashers import make_password
from django.contrib.auth.models import User
from django.contrib.auth.forms import UserCreationForm, AuthenticationForm
from core.models import Customer, Category
from django.contrib.auth.mixins import LoginRequiredMixin

from django.urls import reverse_lazy, reverse
from .forms import *

# Inicio ---------------------------------------------------------
class inicio(generic.View):
    tamplate_name="home/inicio.html"
    context={} 
    
    def get(self, request, *args, **kwargs):
        self.context= {
           "category": Category.objects.all()
       }
        return render(request, self.tamplate_name, self.context)

# Info ---------------------------------------------------------
class nosotros(generic.View):
    tamplate_name="home/info/nosotros.html"
    context={}
    def get(self, request):
        return render(request, self.tamplate_name, self.context)
    
class blog(generic.View):
    tamplate_name="home/info/blog.html"
    context={}
    def get(self, request):
        return render(request, self.tamplate_name, self.context)
    
class servicios( generic.View):
    tamplate_name="home/info/servicios.html"
    context={}
    def get(self, request):
        return render(request, self.tamplate_name, self.context)

class politicas(generic.View):
    tamplate_name="home/info/politicas.html"
    context={}
    def get(self, request):
        return render(request, self.tamplate_name, self.context)


    
    
# Sistema de acceso ---------------------------------------------------------

# resgistro 
class Acceso(generic.View):
    template_name = "home/acceso/iniciosesion.html"
    context = {}
    user = ""
    password = ""
    form_class = inseForm
    
    def get(self, request):
        self.form_class = inseForm()
        self.context = {
            "form": self.form_class
        }
        return render(request, self.template_name, self.context)
    
    def post(self, request):
        username = request.POST["username"]
        password = request.POST["password"]
        user = authenticate(request, username=username, password=password)
        if user is not None:
            login(request, user)
            return redirect("/")
        else:
            return redirect("/acceso/")

# cerrar sesion
def cierre(request):
    logout(request)
    return redirect('/')


# Registrarse con formulario anidado
"""class registrar(generic.CreateView):
    model = User
    fields = ["username", "password1", "password2"]"""

        


class registrar(generic.CreateView):
    template_name = "home/acceso/registro.html"
    form_class = RegForm
    success_url = reverse_lazy("home:inicio")

    def form_valid(self, form):
        response = super().form_valid(form)
        user = form.save()
        if user is not None:

            username = form.cleaned_data.get("username")
            password1 = form.cleaned_data.get("password1")
            cliente = authenticate(self.request, username=username, password=password1)
        
            if cliente is not None:
                login(self.request, cliente)
                cus = Customer(user=user, name_first = form.cleaned_data['name_first'], last_name_pat = form.cleaned_data['last_name_pat'], last_name_mat = form.cleaned_data['last_name_mat'], phone = form.cleaned_data['phone'], cp = form.cleaned_data['cp'], streat = form.cleaned_data['streat'], number_home = form.cleaned_data['number_home'])
                cus.save()        
            
        return response
    
# actualizar datos

class UpdateProfile(LoginRequiredMixin, generic.UpdateView):
    template_name = "home/acceso/editarperfil.html"
    model = Customer
    form_class = ActualizarUs
    success_url = reverse_lazy("home:perfil")
    login_url = reverse_lazy("home:inicio")

    def get_success_url(self):
        pk = self.kwargs["pk"]
        return reverse("home:perfil", kwargs={"pk":pk})

class perfil(LoginRequiredMixin, generic.View):
    template_name="home/acceso/perfil.html"
    context={}
    model=Customer
    login_url = reverse_lazy("home:inicio")
    
    def get(self, request, pk):
        self.context = {
            "Customer" : User.objects.get(id=pk)
        }
        return render(request, self.template_name, self.context)
   

belledluxe/belleluxe/templates/home/acceso/editarperfil.html
{% extends "base/logsing.html" %}
{% block title %}
Inicio sesion
{% endblock title %}
{% block  content %}
<style>

    .btn-sample { 
        color: #FFFFFF; 
        background-color: #364361; 
        border-color: #FFFFFF; 
      } 
       
      .btn-sample:hover, 
      .btn-sample:focus, 
      .btn-sample:active, 
      .btn-sample.active, 
      .open .dropdown-toggle.btn-sample { 
        color: #FFFFFF; 
        background-color: #2A3245; 
        border-color: #FFFFFF; 
      } 
       
      .btn-sample:active, 
      .btn-sample.active, 
      .open .dropdown-toggle.btn-sample { 
        background-image: none; 
      } 
       
      .btn-sample.disabled, 
      .btn-sample[disabled], 
      fieldset[disabled] .btn-sample, 
      .btn-sample.disabled:hover, 
      .btn-sample[disabled]:hover, 
      fieldset[disabled] .btn-sample:hover, 
      .btn-sample.disabled:focus, 
      .btn-sample[disabled]:focus, 
      fieldset[disabled] .btn-sample:focus, 
      .btn-sample.disabled:active, 
      .btn-sample[disabled]:active, 
      fieldset[disabled] .btn-sample:active, 
      .btn-sample.disabled.active, 
      .btn-sample[disabled].active, 
      fieldset[disabled] .btn-sample.active { 
        background-color: #364361; 
        border-color: #FFFFFF; 
      } 
       
      .btn-sample .badge { 
        color: #364361; 
        background-color: #FFFFFF; 
      }
</style>
<center>
    <br>
    <br>
    <br>

<div class="card" style="width: 40rem;">
    <p> </p>
    <p> </p>
    
    <h5>Actualizar datos</h5>
    <div class="card-body">
        <form action="" method="post" class="form">
            <div class="form-group">
            {% csrf_token %}
            {{ form }}
            <br>
            <button type="submit" class="btn btn-sample ">Guardar</button>
            <a href="{{ request.META.HTTP_REFERER }}" class="btn btn-dark ">Cancelar</a>
            </div>
        </form>
    </div>
  </div>
</center>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
   
{% endblock content  %}

belledluxe/belleluxe/templates/home/acceso/iniciosesion.html
{% extends "base/logsing.html" %}
{% block title %}
Inicio sesion
{% endblock title %}
{% block  content %}
<style>
    label {
        color: white;
    }
    .btn-sample { 
        color: #FFFFFF; 
        background-color: #364361; 
        border-color: #FFFFFF; 
      } 
       
      .btn-sample:hover, 
      .btn-sample:focus, 
      .btn-sample:active, 
      .btn-sample.active, 
      .open .dropdown-toggle.btn-sample { 
        color: #FFFFFF; 
        background-color: #2A3245; 
        border-color: #FFFFFF; 
      } 
       
      .btn-sample:active, 
      .btn-sample.active, 
      .open .dropdown-toggle.btn-sample { 
        background-image: none; 
      } 
       
      .btn-sample.disabled, 
      .btn-sample[disabled], 
      fieldset[disabled] .btn-sample, 
      .btn-sample.disabled:hover, 
      .btn-sample[disabled]:hover, 
      fieldset[disabled] .btn-sample:hover, 
      .btn-sample.disabled:focus, 
      .btn-sample[disabled]:focus, 
      fieldset[disabled] .btn-sample:focus, 
      .btn-sample.disabled:active, 
      .btn-sample[disabled]:active, 
      fieldset[disabled] .btn-sample:active, 
      .btn-sample.disabled.active, 
      .btn-sample[disabled].active, 
      fieldset[disabled] .btn-sample.active { 
        background-color: #364361; 
        border-color: #FFFFFF; 
      } 
       
      .btn-sample .badge { 
        color: #364361; 
        background-color: #FFFFFF; 
      }
</style>
<center>
    <br>
    <br>
    <br>

<div class="card" style="width: 25rem;">
    <p> </p>
    <p> </p>
    
    <h5>Iniciar sesión</h5>
    <div class="card-body">
        <form action="" method="post" class="form">
            <div class="form-group">
            {% csrf_token %}
            {{ form }}
            <br>
            <button type="submit" class="btn btn-sample ">Acceder</button>
            <a href="{% url 'home:inicio' %}" class="btn btn-dark ">Cancelar</a>
            </div>
        </form>
    </div>
  </div>
</center>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
   
{% endblock content  %}

belledluxe/belleluxe/templates/home/acceso/perfil.html
{% extends "base/logsing.html" %}

{% block title %}
Perfil
{% endblock title %}

{% block content %}
<style>

  .btn-sample { 
      color: #FFFFFF; 
      background-color: #364361; 
      border-color: #FFFFFF; 
    } 
     
    .btn-sample:hover, 
    .btn-sample:focus, 
    .btn-sample:active, 
    .btn-sample.active, 
    .open .dropdown-toggle.btn-sample { 
      color: #FFFFFF; 
      background-color: #2A3245; 
      border-color: #FFFFFF; 
    } 
     
    .btn-sample:active, 
    .btn-sample.active, 
    .open .dropdown-toggle.btn-sample { 
      background-image: none; 
    } 
     
    .btn-sample.disabled, 
    .btn-sample[disabled], 
    fieldset[disabled] .btn-sample, 
    .btn-sample.disabled:hover, 
    .btn-sample[disabled]:hover, 
    fieldset[disabled] .btn-sample:hover, 
    .btn-sample.disabled:focus, 
    .btn-sample[disabled]:focus, 
    fieldset[disabled] .btn-sample:focus, 
    .btn-sample.disabled:active, 
    .btn-sample[disabled]:active, 
    fieldset[disabled] .btn-sample:active, 
    .btn-sample.disabled.active, 
    .btn-sample[disabled].active, 
    fieldset[disabled] .btn-sample.active { 
      background-color: #364361; 
      border-color: #FFFFFF; 
    } 
     
    .btn-sample .badge { 
      color: #364361; 
      background-color: #FFFFFF; 
    }
</style>
<br>
<br>
<br>
  <center>
  <div class= "container container-table">
    <div class="card" >
      <div class="card-body">
        <h2 class="card-title">  {{ user }} </h2> 
      </div>
      <ul class="list-group list-group-flush">
        <li class="list-group-item"> Nombre : {{ user.customer.name_first }} </li>
        <li class="list-group-item"> Apellido : {{ user.customer.last_name_pat }} </li>
        {% if user.customer.last_name_mat %}
        <li class="list-group-item">Segundo apellido :   {{ user.customer.last_name_mat }} </li>
        {% endif %}
        <li class="list-group-item"> Número de telefono :   {{ user.customer.phone }}   </li>
        <li class="list-group-item"> Código postal :   {{ user.customer.cp }}   </li>
        <li class="list-group-item"> Calle :   {{ user.customer.streat  }}   </li>
        <li class="list-group-item"> Número de casa :   {{ user.customer.number_home }}   </li>
      </ul>
      <br>
      <br>
      
    </div>
    <br>
    <br>
    <a href="{% url 'home:actualizarPerfil' user.customer.id %}" class="btn btn-sample " >Actualizar</a>
      <a href="{% url 'home:inicio' %}" class="btn btn-dark">Volver</a>
  </div>
  </center>
{% endblock content %}

belledluxe/belleluxe/templates/home/acceso/registro.html
{% extends "base/logsing.html" %}
{% block title %}
Registro 
{% endblock title %}
{% block  content %}
<style>

    .btn-sample { 
        color: #FFFFFF; 
        background-color: #364361; 
        border-color: #FFFFFF; 
      } 
       
      .btn-sample:hover, 
      .btn-sample:focus, 
      .btn-sample:active, 
      .btn-sample.active, 
      .open .dropdown-toggle.btn-sample { 
        color: #FFFFFF; 
        background-color: #2A3245; 
        border-color: #FFFFFF; 
      } 
       
      .btn-sample:active, 
      .btn-sample.active, 
      .open .dropdown-toggle.btn-sample { 
        background-image: none; 
      } 
       
      .btn-sample.disabled, 
      .btn-sample[disabled], 
      fieldset[disabled] .btn-sample, 
      .btn-sample.disabled:hover, 
      .btn-sample[disabled]:hover, 
      fieldset[disabled] .btn-sample:hover, 
      .btn-sample.disabled:focus, 
      .btn-sample[disabled]:focus, 
      fieldset[disabled] .btn-sample:focus, 
      .btn-sample.disabled:active, 
      .btn-sample[disabled]:active, 
      fieldset[disabled] .btn-sample:active, 
      .btn-sample.disabled.active, 
      .btn-sample[disabled].active, 
      fieldset[disabled] .btn-sample.active { 
        background-color: #364361; 
        border-color: #FFFFFF; 
      } 
       
      .btn-sample .badge { 
        color: #364361; 
        background-color: #FFFFFF; 
      }
</style>
   


    <center>
        <br>
        <br>
        <br>
    
    <div class="card" style="width: 40rem;">
        <p> </p>
        <p> </p>
        
        <h5>Registrar</h5>
        <div class="card-body">
            <form action="" method="post" class="form">
                {% csrf_token %}
                {% comment %} el as_p le da una separacion al formulario {% endcomment %}
                {{ form.as_p }}
                <br>
                <button type="submit" class="btn btn-sample">Registrar</button>
                <a href="{% url 'home:inicio' %}" class="btn btn-dark">Cancelar</a>
            </form>
        </div>
      </div>
    </center>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    
{% endblock content  %}